
package com.tmerclub.cloud.common.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 运费项VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
public class TransfeeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "运费项id")
    private Long transfeeId;

    @Schema(description = "运费模板id")
    private Long transportId;

    @Schema(description = "续件数量")
    private Double continuousPiece;

    @Schema(description = "首件数量")
    private Double firstPiece;

    @Schema(description = "续件费用")
    private Long continuousFee;

    @Schema(description = "首件费用")
    private Long firstFee;

    @Schema(description = "指定条件运费城市项")
    private List<AreaVO> cityList;

    public List<AreaVO> getCityList() {
        return cityList;
    }

    public void setCityList(List<AreaVO> cityList) {
        this.cityList = cityList;
    }

    public Long getTransfeeId() {
        return transfeeId;
    }

    public void setTransfeeId(Long transfeeId) {
        this.transfeeId = transfeeId;
    }

    public Long getTransportId() {
        return transportId;
    }

    public void setTransportId(Long transportId) {
        this.transportId = transportId;
    }

    public Double getContinuousPiece() {
        return continuousPiece;
    }

    public void setContinuousPiece(Double continuousPiece) {
        this.continuousPiece = continuousPiece;
    }

    public Double getFirstPiece() {
        return firstPiece;
    }

    public void setFirstPiece(Double firstPiece) {
        this.firstPiece = firstPiece;
    }

    public Long getContinuousFee() {
        return continuousFee;
    }

    public void setContinuousFee(Long continuousFee) {
        this.continuousFee = continuousFee;
    }

    public Long getFirstFee() {
        return firstFee;
    }

    public void setFirstFee(Long firstFee) {
        this.firstFee = firstFee;
    }

    @Override
    public String toString() {
        return "TransfeeVO{" +
                "transfeeId=" + transfeeId +
                ", transportId=" + transportId +
                ", continuousPiece=" + continuousPiece +
                ", firstPiece=" + firstPiece +
                ", continuousFee=" + continuousFee +
                ", firstFee=" + firstFee +
                ", cityList=" + cityList +
                '}';
    }
}
